Bug 1007852 - rebuild of pgsphere package against new postgresql version
Summary: rebuild of pgsphere package against new postgresql version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgsphere
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1007840
TreeView+ depends on / blocked
 
Reported: 2013-09-13 13:03 UTC by Pavel Raiskup
Modified: 2013-09-27 00:39 UTC (History)
3 users (show)

Fixed In Version: pgsphere-1.1.1-7.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-27 00:39:31 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Raiskup 2013-09-13 13:03:21 UTC
We have prepared update to new version of PostgreSQL package in Fedora 20
(postgresql-9.3.0-1.fc20 [1]).  According to the repoquery, package
'pgsphere' delivers postgresql plugin in %_libdir/pgsql directory.  This may
require rebuilding of the package.  If it is the case, it would be nice
to have prepared update of 'pgsphere' as soon as possible to be able to
deliver newer build in Fedora 20 Beta Release.  Otherwise, if the package
in reality does not need to be rebuild, close this bug as NOTABUG.

If your plugin really requires regular rebuild against new versions of
PostgreSQL, consider adding versioned runtime requirement on postgresql.

[1] https://admin.fedoraproject.org/updates/FEDORA-2013-16398/postgresql-9.3.0-1.fc20

Comment 1 Sergio Pascual 2013-09-17 18:14:32 UTC
For the moment it FTBFS, bad thing

Comment 2 Sergio Pascual 2013-09-18 08:48:50 UTC
So it seems that in postgresql 9.2 we have these defines in 
pgsql/server/c.h

/*
 * Common Postgres datatype names (as used in the catalogs)
 */
typedef int16 int2;
typedef int32 int4;
typedef float float4;
typedef double float8;


and in 9.3 we have these:

/*
 * Common Postgres datatype names (as used in the catalogs)
 */
typedef float float4;
typedef double float8;

Do you know if there is a porting guide from 9.2 to 9.3?

Comment 3 Fedora Update System 2013-09-18 09:44:30 UTC
pgsphere-1.1.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pgsphere-1.1.1-7.fc20

Comment 4 Fedora Update System 2013-09-18 17:44:57 UTC
Package pgsphere-1.1.1-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pgsphere-1.1.1-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17083/pgsphere-1.1.1-7.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-09-27 00:39:31 UTC
pgsphere-1.1.1-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.